SessionServiceImpl

com.j0h1.contour.admin.server

## Class SessionServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - com.j0h1.contour.admin.server.SessionServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, SessionService, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class SessionServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements SessionService

  RemoteServiceServlet that implements methods defined in SessionService.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int sessionId)` Deletes the session with the given sessionId from the database.
    `java.util.ArrayList<Session>` | `findAll()` Returns all sessions persisted in the database.

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SessionServiceImpl

          public SessionServiceImpl()

  - ### Method Detail

    - #### findAll

          public java.util.ArrayList<Session> findAll()
                                               throws DAOSessionException

      Description copied from interface: `SessionService`
      Returns all sessions persisted in the database.
      Specified by:
        `findAll` in interface `SessionService`
      Returns:
        List of all Session objects.
      Throws:
        `DAOSessionException` - If the query fails, specific feedback is provided.

    - #### delete

          public void delete(int sessionId)
                      throws DAOSessionException

      Description copied from interface: `SessionService`
      Deletes the session with the given sessionId from the database. If it's a custom session, the original data from the image is deleted with the session.
      Specified by:
        `delete` in interface `SessionService`
      Parameters:
        `sessionId` - ID of session to be deleted.
      Throws:
        `DAOSessionException` - If deletion fails, specific feedback is provided